image: node:latest

fake:
  script:
  - echo "Hello world!"
  only:
  - fake

regression:
  script:
  - node --version
  - npm --version
  - npm install .
  - npm run build
  - npm test
  only:
  - testing

pages:
  script:
  - npm install .
  - npm run build
  - npm run doc
  artifacts:
    paths:
    - public
  only:
  - master
